import { Datasource } from '../datasource';
import type { GetReleasesConfig, Release, ReleaseResult } from '../types';
export declare class DotnetDatasource extends Datasource {
    static readonly id = "dotnet";
    constructor();
    readonly caching = true;
    readonly customRegistrySupport = false;
    readonly defaultRegistryUrls: string[];
    getReleases({ packageName, }: GetReleasesConfig): Promise<ReleaseResult | null>;
    getChannelReleases(releaseUrl: string, packageName: string): Promise<Release[] | null>;
    private static getType;
}
